html {
    font-size: 14px;
}

body.navbar-expanded {
    padding-top: 200px; /* Adjust this value as needed to match the navbar height */
}

canvas {
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    z-index: 9000;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.SaveEdit .form-group {
    margin: 20px;
}

.SaveEdit button {
    margin-left: 20px;
}

.flex-container {
    display: flex;
    align-items: stretch;
    background-color: #f1f1f1;
    flex-wrap: wrap;
    padding: 5px;
    padding-top: 10px;
}

.social-links2 a {
    width: 25%;
    font-size: 30px;
}

.vid-box a {
    text-decoration: none;
    color: white;
    font-size: 50px;
    justify-content: space-between;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

.profile-img {
    height: 400px;
    padding-top: 5em;
    transform: translateY(0px);
    animation: float 6s ease-in-out infinite;
    margin-top: 50px;
    z-index: 99999;
}

@keyframes float {
    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(-20px);
    }

    100% {
        transform: translateY(0px);
    }
}

.banner-text {
    background-color: rgba(4, 0, 24, 0.952);
    opacity: .8;
    width: 70%;
    border-radius: 10px;
    margin: auto;
    text-align: center;
    position: relative;
    display: inline-block;
    margin-top: 19%;
}

    .banner-text h1 {
        font-size: 50px;
        padding-top: 8px;
        margin-bottom: 2px;
        opacity: 100;
        color: white;
    }

    .banner-text p {
        font-size: 20px;
        color: white;
    }

.sideLinks {
    width: 40px;
    position: fixed;
    bottom: 0px;
    left: 40px;
    color: black;
}

.stackItem {
    display: list-item;
    list-style: none;
    text-align: -webkit-match-parent;
    color: white;
    font-size: 20px;
    padding-bottom: 25px;
}

.verticalline {
    border-left: 6px solid black;
    height: 100px;
    position: absolute;
    left: 50%;
}

.svgline {
    stroke: rgb(255, 255, 255);
    stroke-width: 2;
}

i, .stackItem {
    color: white !important;
    transition: all .8s ease-in-out;
}

    .stackItem:hover {
        color: pink !important;
    }

ul, ol {
    padding: 0;
    margin: 0;
    list-style: none;
}

.landing-grid {
    background: #00F260; /* fallback for old browsers */
    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: auto;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

.header-color {
    background: #00F260; /* fallback for old browsers */
    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;
}

.social-links {
    display: flex;
    justify-content: space-between;
    width: 50%;
    margin: auto;
}

div.parallax {
    transition: transform 0.1s ease-out; /* Smooth transition */
}

div img {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}

.social-links2 {
    display: flex;
    font-size: 20px;
    margin: auto;
}

.social-links i {
    color: white;
    font-size: 5em;
    padding: 5px;
}

.hover {
    transition: all .4s ease-in-out;
}

.row-hover {
    transition: all .5s ease-in-out;
}

    .row-hover:hover {
        transform: scale(1.05);
        background-color: #151447;
    }

.hover:hover {
    transform: scale(1.3);
}

.resume-image {
    border-radius: 50%;
    text-align: center;
    position: relative;
    width: 300px;
}

.floating-position {
    position: absolute;
    font-family: 'Roboto', sans-serif;
    font-size: 12px;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 3px 9px;
    border-radius: 5px;
    pointer-events: none; /* Make sure it doesn’t interfere with other elements */
    transition: transform 0.1s ease;
}

.center-image {
    text-align: center;
    position: relative;
}

.logo-banner {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 400px;
    text-align: center;
    position: relative;
    margin-bottom: 20px; /* Adjust this to add space below the logo */
}

.container {
    max-width: 95% !important;
}

.shifted-by-nav {
    transition: padding-top 0.3s ease; /* Smooth transition for padding-top */
}

    .shifted-by-nav.navbar-expanded {
        margin-top: 2000px; /* Adjust this value to match the navbar height */
    }

.center {
    text-align: center;
}

.vid-box {
    width: 80%;
}

.cogSpin {
    color: white;
    font-size: 900px;
    position: fixed;
    bottom: 0px;
    right: -350px;
    bottom: -310px;
    opacity: .3;
}

.fa-spin {
    -webkit-animation: fa-spin 9s infinite linear;
    animation: fa-spin 20s infinite linear !important;
}

.iframe-case {
    width: 700px;
    height: 450px;
    position: relative;
}

.social-links2 {
    display: flex;
    font-size: 20px;
    margin: auto;
    margin-right: 30px;
}

    .social-links2 a {
        width: 25%;
        font-size: 30px;
    }

.col-sm-3 {
    flex: 1 0 23%; /* 4 items per row */
    max-width: 23%;
}
.leetcode {
    height: 75px;
    width: 75px;
}

    /*-------------------- MOBILE RESPONSE ------------------------*/
/* Media queries for screens smaller than 1920px */
@media only screen and (max-width: 1920px) {
    .banner-text {
        background-color: rgba(4, 0, 24, 0.952);
        opacity: 0.8;
        width: 70%;
        border-radius: 10px;
        margin: auto;
        text-align: center;
        position: relative;
        display: inline-block;
        margin-top: 25%;
    }

        .banner-text h1 {
            font-size: 40px;
            padding-top: 8px;
            margin-bottom: 2px;
            color: white;
        }

        .banner-text p {
            font-size: 20px;
            color: white;
        }

    .profile-img {
        height: 320px;
        padding-top: 3em;
        animation: float 6s ease-in-out infinite;
        margin-top: 90px;
        z-index: 99999;
    }

    .social-links {
        color: white;
        font-size: 9px;
        width: 80%;
    }

    .social-links2 i {
        color: white;
        font-size: 60px;
    }

    .leetcode {
        width: 50px;
        height: 50px;
    }

    .cogSpin {
        color: white;
        font-size: 900px;
        position: fixed;
        bottom: -500px;
        right: -380px;
        opacity: 0.3;
    }
}

/* Media queries for screens smaller than 1440px */
@media only screen and (max-width: 1440px) {
    .banner-text {
        margin-top: 28%;
    }

        .banner-text p {
            font-size: 15px;
        }

    .profile-img {
        height: 270px;
    }

    .social-links {
        font-size: 5px;
    }

    .social-links2 i {
        font-size: 50px;
    }

    .leetcode {
        width: 50px;
        height: 50px;
    }

    .cogSpin {
        font-size: 900px;
        position: fixed;
        bottom: -500px;
        right: -380px;
    }
}

/* Media queries for screens smaller than 1366px */
@media only screen and (max-width: 1366px) {
    .banner-text {
        margin-top: 27%;
    }

    .banner-text p {
        font-size: 15px;
    }

    .profile-img {
        height: 270px;
    }

    .social-links {
        font-size: 10px;
        width: 80%;
    }

    .social-links2 i {
        font-size: 70px;
    }

    svg {
        width: 35px;
        height: 35px;
    }
}

/* Media queries for screens smaller than 1280px */
@media only screen and (max-width: 1280px) {
    .banner-text {
        margin-top: 24%;
    }

        .banner-text h1 {
            font-size: 38px;
        }

        .banner-text p {
            font-size: 15px;
        }

    .profile-img {
        height: 240px;
        margin-top: 50px;
    }

    .social-links {
        font-size: 10px;
        width: 80%;
    }

    .social-links2 i {
        font-size: 50px;
    }

    .leetcode {
        width: 50px;
        height: 50px;
    }

    .cogSpin {
        font-size: 900px;
        position: fixed;
        bottom: -510px;
        right: -350px;
    }
}



/* Common styles for small screens */
@media only screen and (max-width: 940px) {
    .vid-box {
        flex-wrap: wrap;
        height: 600px;
    }

    .iframe-case {
        width: 100%;
        height: 250px;
    }

    .iframe-links {
        width: 100%;
    }

        .iframe-links p {
            font-size: 11px;
        }

    .arrow {
        display: none;
    }

    .banner-text {
        background-color: rgba(4, 0, 24, 0.952);
        opacity: 0.8;
        width: 70%;
        border-radius: 10px;
        margin: auto;
        text-align: center;
        position: relative;
        display: inline-block;
        margin-top: 530px;
    }
}

/* Media query for screens smaller than 750px */
@media only screen and (max-width: 750px) {
    .social-links {
        color: white;
        font-size: 9px;
        width: 100%;
        justify-content: center;
    }

    svg {
        width: 60px;
        height: 60px;
        position: relative;
        top: -5px;
    }

    .col-sm-3 {
        flex: 1 0 48%; /* 2 items per row */
        max-width: 38%;
    }
}

/* Media query for screens smaller than 600px */
@media only screen and (max-width: 600px) {
    .col-sm-3 {
        flex: 1 0 100%; /* 1 item per row */
        max-width: 100%;
    }

    .card {
        border: none;
        border-radius: 10px;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        width: 25rem;
    }

    h3 {
        font-size: 12px;
    }

    .iframe-case {
        width: auto !important;
        position: relative;
        height: 250px;
    }

    .resume-image {
        border-radius: 50%;
        text-align: center;
        width: 200px;
    }

    .mdl-layout-title {
        color: black !important;
    }

    .logo-banner {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 300px;
        text-align: center;
        top: 70px;
    }

    h2 {
        font-size: 120%;
    }

    .mdl-navigation__link, .mdl-navigation__link2 {
        opacity: 100 !important;
    }

    .mdl-layout__drawer {
        display: flex;
        flex-direction: column;
        width: 240px;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background: rgba(0, 0, 0, 0.534);
        transform: translateX(-250px);
        transition-duration: 0.5s;
    }

    .sideLinks {
        width: 40px;
        position: fixed;
        bottom: 0px;
        left: 9px;
        color: black;
    }

    .profile-img {
        height: 300px;
        padding-top: 5em;
        animation: float 6s ease-in-out infinite;
    }

    .banner-text {
        background-color: rgba(4, 0, 24, 0.952);
        opacity: .8;
        width: 80%;
        border-radius: 10px;
        text-align: center;
        position: relative;
        display: inline-block;
        margin: auto;
        padding: 7px;
        top: 90px;
    }

        .banner-text h1 {
            font-size: 30px;
            padding-top: 8px;
            margin-bottom: 2px;
            color: white;
        }

        .banner-text p {
            font-size: 12px;
        }

    .social-links2 i {
        color: white;
        font-size: 40px;
    }

    .music-page {
        width: 100% !important;
    }

    svg {
        width: 35px;
        height: 35px;
    }

    .mdl-layout__drawer-button {
        color: white !important;
    }

    .pFrame {
        border: 1px solid green;
        length: 200px;
    }

    .cogSpin {
        color: white;
        font-size: 600px;
        position: fixed;
        bottom: -310px;
        opacity: 0.3;
    }

    .fa-spin {
        animation: fa-spin 4s infinite linear !important;
    }
}


@media only screen and (max-width: 450px) {
    .col-sm-3 {
        flex: 1 0 100%; /* 1 item per row */
        max-width: 100%;
    }

    .card {
        border: none;
        border-radius: 10px;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        width: 25rem;
    }

    h3 {
        font-size: 12px;
    }

    .iframe-case {
        width: auto !important;
        position: relative;
        height: 200px;
        left: -22px;
    }

    .resume-image {
        border-radius: 50%;
        text-align: center;
        width: 200px;
    }

    .mdl-layout-title {
        color: black !important;
    }

    .logo-banner {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 200px;
        text-align: center;
        top: 0px;
    }

    h2 {
        font-size: 120%;
    }

    .mdl-navigation__link, .mdl-navigation__link2 {
        opacity: 100 !important;
    }

    .mdl-layout__drawer {
        display: flex;
        flex-direction: column;
        width: 240px;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background: rgba(0, 0, 0, 0.534);
        transform: translateX(-250px);
        transition-duration: 0.5s;
    }

    .sideLinks {
        width: 40px;
        position: fixed;
        bottom: 0px;
        left: 9px;
        color: black;
    }

    .profile-img {
        height: 270px;
        padding-top: 5em;
        margin-top:  20px;
        animation: float 6s ease-in-out infinite;
    }

    .banner-text {
        background-color: rgba(4, 0, 24, 0.952);
        opacity: .8;
        width: 80%;
        border-radius: 10px;
        text-align: center;
        position: relative;
        display: inline-block;
        margin: auto;
        padding: 7px;
        top: 20%;
    }

        .banner-text h1 {
            font-size: 30px;
            padding-top: 8px;
            margin-bottom: 2px;
            color: white;
        }

        .banner-text p {
            font-size: 12px;
        }

    .social-links2 i {
        color: white;
        font-size: 40px;
    }

    .music-page {
        width: 100% !important;
    }

    svg {
        width: 35px;
        height: 35px;
    }

    .mdl-layout__drawer-button {
        color: white !important;
    }

    .pFrame {
        border: 1px solid green;
        length: 200px;
    }

    .cogSpin {
        color: white;
        font-size: 600px;
        position: fixed;
        bottom: -310px;
        opacity: 0.3;
    }

    .fa-spin {
        animation: fa-spin 4s infinite linear !important;
    }
}